#Module-Specific definitions
%define mod_version 2.0
%define release 0.beta.1mdk
%define mod_name mod_auth_nds
%define mod_conf 98_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_auth_nds is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{sourcename}beta.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_auth_nds-2.0-register.patch.bz2
Patch1:		mod_auth_nds-2.0-wierd_fix.patch.bz2
License:	GPL
URL:		http://www.gknw.de/development/apache/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ncpfs-devel
#Requires:	libncpfs2.3 ncpfs

%description
mod_auth_nds is the Novell(tm) NDS(tm) authentication module for 
the %{ap_name} web server.

%prep

%setup -q -n %{mod_name}-2.0
%patch0 -p0 -b .register
%patch1 -p0 -b .wierd_fix

%build

%{apxs} -c %{mod_name}.c -I%{_includedir}/ncp -lncp 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc my_cfg.txt ChangeLog INSTALL
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_2.0-0.beta.1mdk
- built for apache 2.0.48
- fix invalid-build-requires
- fix explicit-lib-dependency

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_2.0-0.beta.1mdk
- rebuilt against latest apache2, requires and buildrequires
- added P1 to make it compile

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_2.0-0.beta.1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_2.0-0.beta.1mdk
- initial cooker contrib
